Bug 1594714 - Adding an Ansible Playbook button does not work correctly with Firefox (for Mac)
Summary: Adding an Ansible Playbook button does not work correctly with Firefox (for Mac)
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.9.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: GA
: 5.10.0
Assignee: Zita Nemeckova
QA Contact: Dmitry Misharov
URL:
Whiteboard:
Depends On:
Blocks: 1598873
TreeView+ depends on / blocked
 
Reported: 2018-06-25 09:27 UTC by Peter McGowan
Modified: 2019-08-22 00:54 UTC (History)
9 users (show)

Fixed In Version: 5.10.0.4
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1598873 (view as bug list)
Environment:
Last Closed: 2019-02-11 14:00:55 UTC
Category: ---
Cloudforms Team: CFME Core
Target Upstream Version:


Attachments (Terms of Use)

Description Peter McGowan 2018-06-25 09:27:45 UTC
Description of problem:
If using the Firefox 52.8.1 (64-bit) on a Mac, adding an Ansible playbook button to an object such as a VM does not correctly set the "Inventory/Target" radio button.

Version-Release number of selected component (if applicable):
5.9.2.4

How reproducible:
Every time

Steps to Reproduce:
1. Using Firefox, create a new custom button of type "Ansible Playbook". Select "Target Machine" as the inventory type. Complete the remaining button details and save.
2. Observe that the Target has been set to "localhost"
3. Try to edit the button. Observe that changing the "Inventory" radio button value does not enable the 'Save' button. 
4. Change the button name (which does re-enable the 'Save' button), and change the "Inventory" radio button value to "Target Machine". Save the change

Actual results:
The 'Target (Inventory)' value is not updated.

Expected results:
The 'Target (Inventory)' value should be editable

Additional info:
This seems to work fine using Chrome

Comment 2 Zita Nemeckova 2018-06-27 08:36:24 UTC
I have trouble reproducing. Please provide an appliance to try it out.

Thanks,
Zita

Comment 7 CFME Bot 2018-07-06 15:23:44 UTC
New commit detected on ManageIQ/manageiq-ui-classic/master:

https://github.com/ManageIQ/manageiq-ui-classic/commit/04c8cb9e2c1986308d12ae576781f13f176171e2
commit 04c8cb9e2c1986308d12ae576781f13f176171e2
Author:     Zita Nemeckova <znemecko@redhat.com>
AuthorDate: Wed Jul  4 08:47:11 2018 -0400
Commit:     Zita Nemeckova <znemecko@redhat.com>
CommitDate: Wed Jul  4 08:47:11 2018 -0400

    Use onchange as well as onfocus for radio buttons

    Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1594714

 app/assets/javascripts/miq_ujs_bindings.js | 16 +
 1 file changed, 16 insertions(+)

Comment 9 Dmitry Misharov 2018-07-19 12:30:02 UTC
Fixed and verified in 5.10.0.4.20180712211305_e6e4542. Ansible playbook button is successfully created on Mac version of Firefox.


Note You need to log in before you can comment on or make changes to this bug.